Loading ...
Sorry, an error occurred while loading the content.

Re: [mp1] Apache gets segfault when starting after modperl upgrade.

Expand Messages
  • Damyan Ivanov
    ... See http://bugs.debian.org/apache-perl Basically apache-perl must be recompiled against perl 5.8.1 I guess an updated apache-perl package will appear soon.
    Message 1 of 5 , Oct 2, 2003
    • 0 Attachment
      On Thu, 2 Oct 2003, Przemyslaw Jaroszewski wrote:

      > On Debian linux, fter apt-get upgrade which fetched 1.27-7 of
      > libapache-mod-perl, the Apache server does not start anymore (just
      > gets Segmentation fault).

      See http://bugs.debian.org/apache-perl

      Basically apache-perl must be recompiled against perl 5.8.1

      I guess an updated apache-perl package will appear soon.


      dam

      --
      Damyan Ivanov Creditreform Bulgaria
      divanov@... http://www.creditreform.bg/
      phone: +359(2)928-2611, 929-3993 fax: +359(2)920-0994
      mobile: +359-88-856-6067 ICQ: 3028500 Y!M: dam3028500
    • Thomas Nagel
      Hi, You may rebuild libapache-mod-perl (seems to works for my config) with the new perl-5.8.1 packages installed: $ cd /tmp $ apt-get source libapache-mod-perl
      Message 2 of 5 , Oct 2, 2003
      • 0 Attachment
        Hi,

        You may rebuild libapache-mod-perl (seems to works for my config) with
        the new perl-5.8.1 packages installed:

        $ cd /tmp
        $ apt-get source libapache-mod-perl
        $ cd apache-1.3.27
        $ fakeroot dpkg-buildpackage -uc -us

        <maybe you have to install missing packages and resolv build
        dependencies at this point and try again>

        $ dpkg -i ../libapache-*.deb

        >
        > Any clues?
        >
        > Regards,
        > Przemek
        >

        Bye
        --
        --Thomas-Nagel----------------------thomas.nagel@...-----
        --plan-b.-GmbH----------------------http://www.planb.de/------
        --Rueppurrer-Str.-4-----------------T#-49-721-35489964--------
        --76317-Karlsruhe-------------------F#-49-721-388581----------
      • Przemyslaw Jaroszewski
        ... That worked. Thanks a lot! Regards, Przemek -- Delenda est Carthago /Cato the Elder/ .d~^v Przemyslaw Jaroszewski 8 E R T
        Message 3 of 5 , Oct 3, 2003
        • 0 Attachment
          On Thu, 2 Oct 2003, Thomas Nagel wrote:

          >
          > You may rebuild libapache-mod-perl (seems to works for my config) with
          > the new perl-5.8.1 packages installed:
          >

          That worked. Thanks a lot!

          Regards,
          Przemek
          --
          "Delenda est Carthago" /Cato the Elder/ .d~^v
          Przemyslaw Jaroszewski 8 E R T
          CERT Polska, http://www.cert.pl/ `b.a'POLSKA|
          przemek@...; tel.+48 22 5231377; fax.: +48 22 5231399
        Your message has been successfully submitted and would be delivered to recipients shortly.